Name:		gdiskdump
Version:	0.8
Release:	%mkrel 4
Summary:	GUI for diskdump (dd)
Group:		File tools
License:	GPLv2
URL:		https://launchpad.net/gdiskdump
Source0:	https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	desktop-file-utils
Requires:	usermode

%description
This is a open source Graphical User Interface for the Unix
Command dd. You can easily select the Input- and Outputstream,
so you can clone or image your Harddrive or Partition.

Wikipedia: "dd is a common Unix program whose primary purpose
is the low-level copying and conversion of raw data."


%prep
%setup -q


%build
mv gdiskdump.desktop.in %{_real_vendor}-%{name}.desktop
%make


%install
install -d %{buildroot}%{_datadir}/%{name}
install -m 0755 gdiskdump.py %{buildroot}%{_datadir}/%{name}
install -m 0644 gdiskdumpconfig.py %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}/data/ui
install -d %{buildroot}%{_datadir}/%{name}/data/media
install -m 0644 data/ui/* %{buildroot}%{_datadir}/%{name}/data/ui
install -m 0644 data/media/* %{buildroot}%{_datadir}/%{name}/data/media
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_datadir}/locale
install -m 0755 bin/%{name} %{buildroot}%{_sbindir}
%makeinstall_std -C po/

# Desktop file
desktop-file-install --vendor="%{_real_vendor}" --remove-category=Utility --add-category=System --set-key=Exec --set-value=/usr/bin/gdiskdump --dir=%{buildroot}%{_datadir}/applications %{_real_vendor}-%{name}.desktop

# Setup link for consolehelper support to allow root access
install -d %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
ln -s consolehelper %{name}
popd

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Wed Jan 23 2013 sander85 <sander85> 0.8-4.mga3
+ Revision: 391373
- Change group

* Wed Jan 23 2013 fwang <fwang> 0.8-3.mga3
+ Revision: 391254
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 351140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 sander85 <sander85> 0.8-1.mga3
+ Revision: 275068
- imported package gdiskdump

